%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Simple process monitor for MATE
Name:           mate-system-monitor
Version:        1.6.1
Release:        %mkrel 4
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  libxml2-python
BuildRequires:  mate-common
BuildRequires:  pkgconfig(libgksu-polkit-1)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libmatewnck)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(mate-icon-theme)
BuildRequires:  pkgconfig(gtkmm-2.4)
BuildRequires:  desktop-file-utils
BuildRequires:  mate-polkit-devel >= 1.1.0

Requires:       polkit-agent

%description
MATE-system-monitor is a simple process and system monitor.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --disable-static \
        --disable-scrollkeeper

%make LIBS='-lgmodule-2.0'

%install
%makeinstall_std
rm -rf %buildroot/var

%find_lang %{name} --with-gnome

for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed -e s!%buildroot!!)" >> %name.lang
done

%files -f %{name}.lang
%doc AUTHORS NEWS COPYING README
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/mate/help/mate-system-monitor/
%{_datadir}/MateConf/gsettings/mate-system-monitor.convert
%{_mandir}/man1/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf



%changelog
* Thu Dec 12 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 556522
- Fix buildrequires for gksu-polkit

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531777
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 465064
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461802
- fix conf generation

  + tarakbumba <tarakbumba>
    - imported package mate-system-monitor

